<?php

namespace Planaday\Entities\Booking\Form;

use Planaday\Config\OptionGroupEnum;

enum BookingFormSettingsEnum: string implements OptionGroupEnum {
	case Title = "title";
	case AllowBookingOfStartedCourse = "allowBookingOfStartedCourse";
	case Address = "adres";
	case Company = "company";
	case Students = "students";
	case Materials = "materials";
	case DayParts = "dayParts";
	case AskApiAttributes = "askApiAttributes";
	case MustAcceptTermsAndConditions = "mustAcceptTermsAndConditions";
	case TermsAndConditions = "termsAndConditions";
	case AskVoucher = "voucher";
	case GivePaymentOptionsCompany = "givePaymentOptionsCompany";
	case CompanyId = "companyId";

	public static function getClassName(): string {
		return BookingFormSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}
